# profiles.drift_list

`GET /api/public/v1/profiles/{id}/drift`

100 sự kiện sai lệch đã đo gần nhất mà người gọi được xem.

- Quyền: `profile.read`
- Lệnh (chống trùng): Không
- Tool MCP: `profiles_drift_list`

## Tham số

| Tên | Vị trí | Kiểu | Bắt buộc | Mô tả |
|---|---|---|---|---|
| `id` | path | string (uuid) | Có | ID hồ sơ |

## Phản hồi

200 với { data, correlation_id }.

| Trường | Kiểu | Luôn có | Mô tả |
|---|---|---|---|
| `data` | object | Có |  |
| `data.events` | array<object> | Có |  |
| `data.events[].id` | string (uuid) | Có |  |
| `data.events[].field` | string | Có |  |
| `data.events[].before` | any | Có |  |
| `data.events[].after` | any | Có |  |
| `data.events[].cause` | string | Có |  |
| `data.events[].classification` | string | Có |  |
| `data.events[].status` | string | Có |  |
| `data.events[].created_at` | string (date-time) | Có |  |
| `correlation_id` | string (uuid) | Có |  |
| `ok` | true | Không |  |
| `operation_id` | string \| null | Không |  |
| `state_version` | integer | Không | (tối thiểu 0) |
| `retryable` | false | Không |  |
| `next` | null | Không |  |

Trường mới có thể xuất hiện bất cứ lúc nào; hãy bỏ qua trường bạn không biết.

## Lỗi

| Mã | HTTP | Thử lại |
|---|---|---|
| `UNAUTHENTICATED` | 401 | Không |
| `FORBIDDEN` | 403 | Không |
| `RATE_LIMITED` | 429 | Có |
| `VALIDATION_FAILED` | 422 | Không |
| `NOT_FOUND` | 404 | Không |
| `DEPENDENCY_UNAVAILABLE` | 503 | Có |
| `UNKNOWN` | 500 | Không |

## Ví dụ (curl)

```bash
curl "https://browlix.com/api/public/v1/profiles/<id>/drift" \
  -H "Authorization: Bearer $BROWLIX_API_KEY"
```

## Ví dụ (TypeScript SDK)

```ts
import { Browlix } from "@browlix/sdk";

const bx = new Browlix({ apiKey: process.env.BROWLIX_API_KEY! });
const reply = await bx.call("profiles.drift_list", { path: { id: "<id>" } });
console.log(reply.data);
```

## Ví dụ (Python)

```python
import os
import requests

r = requests.get(
    "https://browlix.com/api/public/v1/profiles/<id>/drift",
    headers={"Authorization": f"Bearer {os.environ['BROWLIX_API_KEY']}"},
    timeout=60,
)
print(r.status_code, r.json())
```

## Ví dụ (MCP)

```json
{
  "method": "tools/call",
  "params": {
    "name": "profiles_drift_list",
    "arguments": {
      "id": "<id>"
    }
  }
}
```
